using C4IT.FASD.Base;
using System;
using System.Collections.Generic;
using System.Threading;
using System.Threading.Tasks;

namespace FasdDesktopUi.Basics.Services.RelationService
{
    public interface IRelationService
    {
        event EventHandler<StagedSearchResultRelationsEventArgs> RelationsFound;

        IEnumerable<cF4sdApiSearchResultRelation> GetLoadedRelations();
        Task<cF4sdStagedSearchResultRelationTaskId> LoadRelationsAsync(IEnumerable<cFasdApiSearchResultEntry> relatedTo, CancellationToken token = default);
        IRelationService Clone();
    }
}